Package org.apache.datasketches.hive.tuple

## Class DoubleSummarySketchToPercentileUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.tuple.DoubleSummarySketchToPercentileUDF

    public class DoubleSummarySketchToPercentileUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`DoubleSummarySketchToPercentileUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, double percentile)` Get percentile from a given Sketch<DoubleSummary>

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleSummarySketchToPercentileUDF

    public DoubleSummarySketchToPercentileUDF()

### Method Detail

#### evaluate

    public Double evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                           double percentile)

Get percentile from a given Sketch<DoubleSummary>

Parameters:
  `serializedSketch` - DoubleSummarySketch in as serialized binary
  `percentile` - normalized rank in percent
Returns:
  percentile value